Compare commits

...

2 Commits

Author SHA1 Message Date
Juhani Krekelä 22d306385b Explain licensing situation in the README 2019-06-30 00:32:05 +03:00
Juhani Krekelä b78a3279c7 Add packaging for win32 to Makefile 2019-06-30 00:23:06 +03:00
4 changed files with 38 additions and 5 deletions

2
.gitignore vendored
View File

@ -1,2 +1,4 @@
*.swp
*.love
tmp/
*.zip

View File

@ -1,16 +1,19 @@
BIN=eitmer.love
LOVEFILE=eitmer.love
.PHONY: all clean distclean run
all: $(BIN)
all: $(LOVEFILE) eitmer-win32.zip
$(BIN): bundle/main.lua bundle/conf.lua bundle/win_image.png
$(LOVEFILE): bundle/main.lua bundle/conf.lua bundle/win_image.png
cd bundle; zip -9 -r ../$@ *
eitmer-win32.zip: $(LOVEFILE)
sh scripts/package-win32.sh
clean:
rm -f $(BIN)
rm -rf $(LOVEFILE) *.zip tmp/
distclean: clean
run: $(BIN)
run: $(LOVEFILE)
love $<

4
README
View File

@ -12,3 +12,7 @@ Movement:
r - restart
q - quit
c - configure keybindings
The game code and assets are under Creative Commons Zero 1.0 Universal
license. If other code or data is distributed alongside them, see the
attached license.txt file for information about their licenses.

24
scripts/package-win32.sh Normal file
View File

@ -0,0 +1,24 @@
die() {
echo "$0: Error: $*" >&2
exit 1
}
get() {
wget https://bitbucket.org/rude/love/downloads/love-$version-win32.zip || die wget
unzip love-$version-win32.zip || die unzip
test -e love-$version-win32/ || mv love-$version*-win32/ love-$version-win32 || die "Can't find win32 love directory"
}
version="11.2"
mkdir -p tmp/eitmer-win32 || die mkdir
cd tmp
test -e love-$version-win32/ || get
cd love-$version-win32/
cat love.exe ../../eitmer.love > ../eitmer-win32/eitmer.exe || die cat
cp *.dll license.txt ../eitmer-win32/ || die cp
cp ../../README ../eitmer-win32/readme.txt || die cp
cd ..
zip -9 -r ../eitmer-win32.zip eitmer-win32